## org.gnu.pango
Class TabArray

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.TabArray

public class TabArray
extends Boxed

A PangoTabArray struct contains an array of tab stops. Each tab stop has an alignment and a position.

Constructor Summary
`TabArray(org.gnu.glib.Handle handle)` Constructs new Tab array from handle to native resources.
`TabArray(int initialSize, boolean positionsInPixels)` Creates an array of `initialSize` tab stops.
`TabArray(TabArray tabArray)` Create a TabArray that is a copy of the provided TabArray.

Method Summary
`TabAlign` `getAligment(int tabIndex)` Returns the alignment ofthe tab stop
`int` `getPosition(int tabIndex)` Returns the position of the tab stops
`int` `getSize()` Get the number of tab stops in the array
`static TabArray` `getTabArray(org.gnu.glib.Handle handle)` Constructs new Tab array from handle to native resources.
`boolean` `positionInPixels()` Returns true if the tab positions are in pixels and false if they are in Pango units.
`void` `resize(int newSize)` Resizes a tab array.
`void` `setTab(int tabIndex, TabAlign alignment, int location)` Sets the alignment and location of a tab stop.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabArray

    public TabArray(int initialSize,
                    boolean positionsInPixels)

  Creates an array of `initialSize` tab stops. Tab stops are specified in pixel units if `positionsInPixels`is `true`, otherwise in Pango units. All stops are initially at position 0.

  ``

### TabArray

    public TabArray(TabArray tabArray)

  Create a TabArray that is a copy of the provided TabArray.

Parameters:
  `tabArray` -

### TabArray

    public TabArray(org.gnu.glib.Handle handle)

  Constructs new Tab array from handle to native resources. Used internally by Java-Gnome.

Method Detail

### getTabArray

    public static TabArray getTabArray(org.gnu.glib.Handle handle)

  Constructs new Tab array from handle to native resources. Used internally by Java-Gnome.

### getSize

    public int getSize()

  Get the number of tab stops in the array

### resize

    public void resize(int newSize)

  Resizes a tab array. You must subsequently initialize any tabs that were added as a result of growing the array.

### setTab

    public void setTab(int tabIndex,
                       TabAlign alignment,
                       int location)

  Sets the alignment and location of a tab stop. Alignment must always be `TabAlign.LEFT` in the current implementation.

  Parameters:
    `tabIndex` - The index of a tab stop
    `alignment` - Tab alignment
    `location` - Tab location in pango units

### getPosition

    public int getPosition(int tabIndex)

  Returns the position of the tab stops

### getAligment

    public TabAlign getAligment(int tabIndex)

  Returns the alignment ofthe tab stop

### positionInPixels

    public boolean positionInPixels()

  Returns true if the tab positions are in pixels and false if they are in Pango units.